Subject: Re: bug#25172: 26.0.50; Concurrency feature, sit-for doesn't work (crashing and unexpected behaviour)

From: Elias Mårtenson <[email-masked]>
Date: Wed, 14 Dec 2016 10:58:36 +0800

On 14 December 2016 at 00:26, Eli Zaretskii <[email-masked]> wrote:

> > From: Elias Mårtenson <[email-masked]>
> > Date: Tue, 13 Dec 2016 12:16:41 +0800
> > Cc: Clément Pit--Claudel <[email-masked]>,
> >       [email-masked]
> >
> > This is the output from the SIGABRT case. Again, there is a lot of
> information before the actual "bt full" output:
>
> This shows exactly the situation which I imagined could happen: 3
> threads, including the main thread, all running the code in xg_select
> which calls unblock_input, and aborting due to the block level being
> negative.
>
> Can you try removing the calls to block_input/unblock_input from
> xgselect.c, and see if these crashes then stop?
>

I have tried this now, and it's much more stable now. It doesn't
immediately crash, and sometimes it doesn't crash at all.

When it crashes, it does so after several seconds, and I have captured two
of these crashes.

I will post these backtraces in the following two emails.

Regards,
Elias